package com.caliverse.admin.logs.entity;

public enum LogAction {
    None(""),
    AICHAT_DELETE_CHARACTER("NPC 삭제"),
    AICHAT_DELETE_USER("유저 삭제"),
    AICHAT_GET_CHARACTER("NPC 조회"),
    AICHAT_INCENTIVE_MARKING("인센티브 획득 마킹"),
    AICHAT_INCENTIVE_SEARCH("인센티브 조회"),
    AICHAT_JWT_ISSUE("Jwt 토큰 발행"),
    AICHAT_JWT_VERIFY("Jwt 토큰 확인"),
    AICHAT_POINT_CHARGE("포인트 충전"),
    AICHAT_POINT_CHARGE_VERIFY("포인트 충전 확인"),
    AICHAT_REGISTER_CHARACTER("NPC 등록"),
    AICHAT_REGISTER_USER("유저 등록"),
    AICHAT_UPDATE_CHARACTER("NPC 정보 업데이트"),
    BATTLE_INSTANCE_JOIN("배틀 인스턴스 조인"),
    BATTLE_INSTANCE_SNAPSHOT_CREATE("배틀 인스턴스 스냅샷 생성"),
    BATTLE_INSTANCE_SNAPSHOT_SAVE("배틀 인스턴스 스냅샷 저장"),
    BATTLE_OBJECT_INTERACTION("배틀 오브젝트 상호작용"),
    BATTLE_OBJECT_STATE_UPDATE("배틀 오브젝트 상태 변경"),
    BATTLE_POD_COMBAT_OCCUPY_REWARD("포드 컴뱃 소유 보상"),
    BATTLE_ROUND_STATE_UPDATE("배틀 라운드 스테이트 업데이트"),
    BATTLE_USER_DEAD("유저 데드"),
    BATTLE_USER_RESPAWN("배틀 리스폰"),
    BROKER_API_ADMIN("BrokerApi 어드민 재화 지급"),
    BROKER_API_PLANET_AUTH("BrokerApi Planet 인증"),
    BROKER_API_USER_EXCHANGE_COMPLETE("BrokerApi 재화 교환 완료"),
    BROKER_API_USER_EXCHANGE_ORDER("BrokerApi 재화 교환 주문"),
    BROKER_API_USER_LOGIN("BrokerApi 유저 로그인"),
    BUFF_ADD("버프 추가"),
    BUFF_DELETE("버프 제거"),
    CALIUM_CONVERTER_ROLLBACK_FAIL("칼리움 컨버터 롤백 실패"),
    CALIUM_CONVERT("칼리움 컨버터 변환"),
    CALIUM_CONVERT_EXCHANGE("칼리움 교환소 변환"),
    CALIUM_CONVERT_INFO_CHANGE("칼리움 정보 변환"),
    CALIUM_CREATE_CONTENT("칼리움 컨텐츠 생성"),
    CALIUM_ECHO_SYSTEM_FAIL("칼리움 에코시스템 실패"),
    CALIUM_FILLUP("칼리움 총량 누적"),
    CALIUM_SYNC_ECHO_SYSTEM("칼리움 동기화 처리"),
    CART_ADD("장바구니 추가"),
    CART_DELETE("장바구니 삭제"),
    CART_PURCHASE("장바구니 구매"),
    CHALL_CHANNEL("채널 채팅"),
    CHAT_NORMAL("노말 채팅"),
    CHAT_NOTICE("전서버 채팅"),
    CHAT_PARTY("파티 채팅"),
    CHAT_WHISPER("귓속말 채팅"),
    CHARACTER_APPEARANCE_CUSTOMIZE("캐리터 외형 커스터마이징"),
    CHARACTER_APPEARANCE_UPDATE("캐릭터 외형 갱신"),
    CHARACTER_CREATE("캐릭터 생성(자동 생성)"),
    CHARACTER_LOADING("캐릭터 로딩"),
    CHEAT_ALL_CRAFT_FINISH("치트로 인한 모든 제작 시간 단축"),
    CHEAT_COMMAND_CHANGE_NICK_NAME("치트로 인한 캐릭터 명 변경"),
    CHEAT_COMMAND_CHARACTER_INIT("치트로 인한 캐릭터 초기화"),
    CHEAT_COMMAND_CLAIM_RESET("치트로 인한 클레임 리워드 리셋"),
    CHEAT_COMMAND_CLAIM_UPDATE("치트로 인한 클레임 리워드 대기시간 단축"),
    CHEAT_COMMAND_CRAFT_HELP_INIT("치트로 인한 제작 헬프 초기화"),
    CHEAT_COMMAND_DELETE_QUEST("치트로 인한 퀘스트 삭제"),
    CHEAT_COMMAND_GAIN_LAND("치트로 인한 랜드 획득"),
    CHEAT_COMMAND_INCREASE_EXP("치트로 인한 시즌 패스 경험치 증가"),
    CHEAT_COMMAND_ITEM("치트로 인한 아이템 추가 삭제"),
    CHEAT_COMMAND_ITEM_LEVEL_UP("치트로 인한 아이템 레벨 업"),
    CHEAT_COMMAND_LAND_AUCTION_BLIND_SET("치트로 인한 랜드 경매 블라이인드 입찰 설정"),
    CHEAT_COMMAND_LAND_AUCTION_CANEL("치트로 인한 랜드 경매 취소"),
    CHEAT_COMMAND_LAND_AUCTION_RESERVE("치트로 인한 랜드 경매 예약"),
    CHEAT_COMMAND_LAND_AUCTION_START("치트로 인한 랜드 경매 시작"),
    CHEAT_COMMAND_PACKAGE_SEND("치트로 인한 패키지 메일 전송"),
    CHEAT_COMMAND_QUEST_ACCEPT("치트로 인한 퀘스트 할당"),
    CHEAT_COMMAND_QUEST_COMPLETE("치트로 인한 퀘스트 완료"),
    CHEAT_COMMAND_REGISTER_CRAFT_RECIPE("치트로 인한 레시피 등록"),
    CHEAT_COMMAND_RESET_ALL_QUEST("치트로 인한 퀘스트 리셋"),
    CHEAT_COMMAND_RESET_ESCAPE_POSITION("치트로 인한 탈출시간 리셋"),
    CHEAT_COMMAND_RESET_MAIL_COUNT("치트로 인한 메일 횟수 제한 초기화"),
    CHEAT_COMMAND_SEASON_PASS_INIT("치트로 인한 시즌 패스 초기화"),
    CHEAT_COMMAND_SEND_MAIL("치트로 인한 메일 발송"),
    CHEAT_COMMAND_SHOP_PRODUCT_INIT("치트로 인한 상점 품목 초기화"),
    CHEAT_COMMAND_SHOP_PRODUCT_RENEWAL("치트로 인한 상점 갱신 전송"),
    CLAIM_REWARD("클레임 리워드 이벤트 보상"),
    CRAFT_FINISH("제작 완료"),
    CRAFT_HELP("제작 도움"),
    CRAFT_RECIPE_REGISTER("제작 레시피 추가"),
    CRAFT_START("제작 시작"),
    CRAFT_STOP("제작 취소"),
    CREATE_PARTY("파티 생성"),
    CREATE_PARTY_INSTANCE("파티 던전 생성"),
    DAILY_QUEST_CHECK("데일리 퀘스트 체크"),
    DANCE_ENTITY_STATE_END("캐릭터 엔티티 스테이트 댄스 종료"),
    DANCE_ENTITY_STATE_START("캐릭터 엔티티 스테이트 댄스 시작"),
    DESTROY_PARTY("파티 파괴"),
    ENTER_MYHOME("마이홈 입장"),
    ENTER_MYHOME_EDIT_ROOM("마이홈 에디트 룸 입장"),
    FARMING_CANCEL("파밍 취소"),
    FARMING_COMPLETE("파밍 완료"),
    FARMING_INCOMPLETED_REWARD("파밍 미완료 보상"),
    FARMING_START("파밍 시작"),
    FRIEND_ADD("친구추가"),
    FRIEND_DELETE("친구삭세"),
    GAIN_LAND_PROFIT("랜드 수익 획득"),
    IGM_API_LOGIN("igmApi 로그인"),
    INVITE_PARTY("파티 초대"),
    ITEM_BUY("아이템 구매"),
    ITEM_DESTROY("아이템 제거"),
    ITEM_RANDOM_BOX_USE("아이템 랜덤박스 사용"),
    ITEM_TATTOO_CHANGE_ATTRIBUTE("타투 아이템 속성변환"),
    ITEM_TATTOO_LEVEL_UP("타투 아이템 강화"),
    ITEM_USE("아이템 사용"),
    JOIN_INSTANCE("인스턴스 입장"),
    JOIN_PARTY("파티 가입"),
    JOIN_PARTY_INSTANCE("파티 인스턴스 입장"),
    KICK_FRIENDS_FROM_MYHOME("마이홈에서 친구 내쫒기"),
    LAND_AUCTION_ACTIVITY("랜드 경매 활성화"),
    LAND_AUCTION_BID("랜드 경매 입찰"),
    LAND_AUCTION_BID_PRICE_REFUND("랜드 경매 입찰금 환급"),
    LAND_AUCTION_CHECK("랜드 경매 체크"),
    LEAVE_INSTANCE("인스턴스 퇴장"),
    LEAVE_PARTY("파티 탈퇴"),
    LEAVE_PARTY_INSTANCE("파티 인스턴스 퇴장"),
    LOGIN_TO_GAME("게임 로그인"),
    LOGIN_TO_GAME_SNAPSHOT("게임 로그인 스냅샷"),
    LOGIN_TO_USER_AUTH("계정 로그인"),
    MAIL_AI_CHAT_INCENTIVE_POINT("AI Chat 인센티브 우편 지급"),
    MAIL_DESTROY("우편 삭제"),
    MAIL_GET_SYSTEM_MAIL("시스템 우편 받기"),
    MAIL_INIT_SEND_COUNT("우편 보내기 기회 초기화"),
    MAIL_READ("우편 읽기"),
    MAIL_SEND("우편 발송"),
    MAIL_TAKEN("우편 첨부 수령"),
    MODIFY_LAND_INFO("랜드 정보 수정"),
    MONEY_CHANGE("재화 변경"),
    PRODUCT_GIVE("결제 상품 지급"),
    PRODUCT_OPEN_FAILED("결제 상품 오픈 실패"),
    PRODUCT_OPEN_SUCCESS("결제 상품 오픈 성공"),
    QUEST_MAIL_SEND("퀘스트 우편 발송"),
    QUEST_MAIN_ABORT("퀘스트 메인 포기"),
    QUEST_MAIN_ASSIGN_BY_DIALOGUE("대화를 통한 퀘스트 메인 수락"),
    QUEST_MAIN_ASSIGN_FORCE("퀘스트 메인 강제 수락"),
    QUEST_MAIN_REFUSE("퀘스트 메인 수락 거절"),
    QUEST_MAIN_REPEAT_TIME_INIT("반복가능 퀘스트 리프레시 타임 초기화"),
    QUEST_MAIN_REPEAT_TIME_REFRESH("반복가능 퀘스트 리프레시 타임 갱신"),
    QUEST_MAIN_REWARD("퀘스트 메인 보상"),
    QUEST_MAIN_TASK("퀘스트 메인 태스크관련"),
    QUEST_TASK_UPDATE("퀘스트 태스크 업데이트"),
    RENAME_FRIEND_FOLDER("친구 폴더면 수정"),
    RENAME_MYHOME("마이홈 이름 변경"),
    RENEWAL_SHOP_PRODUCTS("사용자 요청에 의한 상픔 리스트 갱심"),
    RENT_FLOOR("빌딩 층 임대"),
    REPLY_INVITE_PARTY("파티 초대 응답"),
    REPLY_SUMMON_PARTY("파티 맴버 소환 응답"),
    RESERVATION_ENTER_TO_SERVER("서버 이동 예약"),
    REWARD_PROP("리워드 프랍"),
    SAVE_MYHOME("마이홈 저장"),
    SEASON_PASS_BUY_CHARGED("시즌 패스 유료 구입"),
    SEASON_PASS_START_NEW("새로운 시즌 패스 시작"),
    SEASON_PASS_TAKE_REWARD("시즌 패스 보상 획득"),
    SHOP_CHANGE_PRODUCT_TRADING_METER("상품 리스트 갱신"),
    SHOP_GET_PRODUCT_TRADING_METER("상품 리스트 조회"),
    SHOP_GET_REPURCHASE("판매한 상품 리스트 조회"),
    SHOP_PURCHASE("상품 구매"),
    SHOP_REPURCHASE("판매한 상품 재구매"),
    SHOP_SELL("상품 판매"),
    STAGE_CONCERT_START("콘서트 시작"),
    STAGE_ENTER("스테이지 입장"),
    STAGE_EXIT("스테이지 퇴장"),
    START_PARTY_VOTE("파티 투표 시작"),
    SUMMON_PARTY("파티 맴버 소환"),
    SWITCHING_PROP("데일리 퀘스트 체크"),
    TASK_RESERVATION_COMPLETE("Task Reservation complete"),
    TAXI_MOVE("택시 이동"),
    TEST_BUSINESS_LOG("테스트 비지니스 로그 전송"),
    TEST_USER_CREATE("테스트 계정으로 생성"),
    TEST_USER_INITIAL("테스트 계정으로 초기화"),
    TEST_WRITE_NOTICE_CHAT("테스트 공지사항 추가"),
    TEST_WRITE_SYSTEM_MAIL("테스트 시스템 메일 추가"),
    UGQ_ABORT("Ugq 포기"),
    UGQ_API_ADMIN_LOGIN("UgqApi 어드민 로그인"),
    UGQ_API_CHANGE_STATE("UgqApi Ugq 상태 변경"),
    UGQ_API_CREATOR_POINT("UgqApi CreatorPoint 증감"),
    UGQ_API_LOGIN("UgqApi 로그인"),
    UGQ_API_LOGOUT("UgqApi 로그아웃"),
    UGQ_API_QUEST_CRAETE("UgqApi 퀘스트 생성"),
    UGQ_API_ADD_SLOT("UgqApi 슬롯 추가"),
    UGQ_ASSIGN("Ugq 수락"),
    UGQ_DAILY_REWARD_COUNT_REFRESH("Ugq 데일리 보상 리프레시"),
    UGQ_DEREGISTER_BOOKMARK("Ugq 북마크 해제"),
    UGQ_DEREGISTER_LIKE("Ugq 좋아요 해제"),
    UGQ_REASSIGN("Ugq 재수락"),
    UGQ_REGISTER_BOOKMARK("Ugq 북마크 등록"),
    UGQ_REGISTER_LIKE("Ugq 좋아요 등록"),
    UGQ_TEST_ABORT("Test Ugq 포기"),
    UGQ_TEST_ASSIGN("Test Ugq 수락"),
    UGQ_TEST_DELETE("Test Ugq 삭제"),
    UPDATE_BEACON_APPEARANCE_CUSTOMIZE("비컨 외형 커스터마이징"),
    UPDATE_CHARACTER_PROFILE("캐릭터 프로필 업데이트"),
    UPDATE_CUSTOM_DEFINE_UI("커스텀 UI 업데이트"),
    UPDATE_ESCAPE("유저 탈출"),
    UPDATE_GAME_OPTION("게임 옵션 업데이트"),
    UPDATE_LANGUAGE("유저 언어 업데이트"),
    UPDATE_UGC_NPC_LIKE("NPC Like 업데이트"),
    USER_BLOCK("유저 차단"),
    USER_BLOCK_CANCEL("유저 차단 취소"),
    USER_CREATE("유저 생성"),
    USER_LOADING("유저 로딩"),
    USER_LOGOUT("유저 로그아웃"),
    USER_LOGOUT_SNAPSHOT("게임 로그아웃 스냅샷"),
    USER_REPORT("유저 신고"),
    WARP("워프");



    private final String description;

    LogAction(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

    @Override
    public String toString() {
        return name() + "(" + description + ")";
    }
}
